# Better Youtube +
Better YouTube + works to improve the YouTube experience by providing quick access to features we'd all like to have from the get-go.
<br/>
  * It defaults playback to 1080p if able to.
  * It allows quick thumbnail access of the video.
  * It allows setting the loop mode easily.
  * It allows setting the loop mode to a ranged set.
  * It allows the video to be toggled to fixed or floating. (With drag functionality!)
  * It allows volume control through the mouse-wheel when hovering over the player.
  * It allows for quick access to the YouTube video slug.
  * It allows for NonStop watch mode. (i.e, no "Are you still there?" dialog.)
  * It shows volume level as you scroll.
  * It lets Unix, Linux, and MacOS systems have the ability to download the video using native app calls.

# Version: 1.5.5
* Added 1080p playback defaulting.

# Download
https://addons.mozilla.org/en-US/firefox/addon/better-youtube-plus/

# Images
![1 Controls... ](images/pic1.png)
![2 Thumbnail list... ](images/pic2.png)
![3 Secondary controls... ](images/pic3.png)
![4 Video in float mode... ](images/pic4.png)
![5 Video moved around in float mode... ](images/pic5.png)

# NOTE
On *Nix systems download youtube-dl and use provided app in this repo to download videos.

##### Mac OS/Linux Setup
To get downloading working do the following:

1. Check that the [file permissions](https://en.wikipedia.org/wiki/File_system_permissions) for "youtube-dl-bridge.py" include the `execute` permission.
2. Edit the "path" property of "web_video_dl.json" to point to the location of "youtube-dl-bridge.py" on your computer.
3. copy "web_video_dl.json" to the correct location on your computer. See [App manifest location ](https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Native_manifests#Manifest_location) to find the correct location for your OS.
4. Install the webextension and enjoy!
